# SetFormatCheck

### void SetFormatCheck(short bEnabled)

EZGemPlus의 Format Check 기능을 설정/해제하는 함수.

Parameters

<table data-header-hidden><thead><tr><th width="172" valign="top"></th><th width="129" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">bEnable</td><td valign="top">short</td><td valign="top">0 = Disable, 1 = Enable</td></tr></tbody></table>

```csharp
//Format.SML파일을 이용하여 지정된 포맷 이외의 메시지는 에러메시지를 발생시킵니다.(S9Fxx)
m_gem.SetFormatFile(string.Format("FORMAT.SML"));	// 미리 포멧을 정의합니다.
m_gem.SetFormatCheck(true);                         //Format.SML을 사용하도록 설정합니다.
```

{% hint style="warning" %}
SetFormatFile()함수와 같이 사용하며 Format파일의 경로는 GEM LOG에서도 확인이 가능합니다.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/undefined-1/setformatcheck.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
